Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QAbstractSocket.SocketType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QAbstractSocket.SocketType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractSocket

    public static final class QAbstractSocket.SocketType

extends java.lang.Enum
implements QtEnumerator

This enum describes the transport layer protocol.

See also:
  `QAbstractSocket::socketType()`.

See Also:
  Serialized Form

Field Summary
`static QAbstractSocket.SocketType` | `TcpSocket` TCP
`static QAbstractSocket.SocketType` | `UdpSocket` UDP
`static QAbstractSocket.SocketType` | `UnknownSocketType` Other than TCP and UDP

Method Summary
`static QAbstractSocket.SocketType` | `resolve(int value)` Returns the QAbstractSocket$SocketType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSocket.SocketType` | `valueOf(java.lang.String name)`
`static QAbstractSocket.SocketType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TcpSocket

    public static final QAbstractSocket.SocketType TcpSocket

  TCP

### UdpSocket

    public static final QAbstractSocket.SocketType UdpSocket

  UDP

### UnknownSocketType

    public static final QAbstractSocket.SocketType UnknownSocketType

  Other than TCP and UDP

Method Detail

### values

    public static QAbstractSocket.SocketType[] values()

### valueOf

    public static QAbstractSocket.SocketType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSocket.SocketType resolve(int value)

  Returns the QAbstractSocket$SocketType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD